Name:           python-flask-caching
Version:        2.3.0
Release:        %mkrel 3
Summary:        Adds caching support to Flask applications
Group:          Development/Python
License:        BSD
URL:            https://github.com/pallets-eco/flask-caching
Source:         %{pypi_source flask_caching}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)
BuildRequires:  python3dist(asgiref)
BuildRequires:  python3dist(redis)
BuildRequires:  python3-werkzeug


%global _description %{expand:
A fork of the Flask-cache extension which adds easy cache support
to Flask.}


%description %_description

%package -n     python3-flask-caching
Summary:        %{summary}

%description -n python3-flask-caching %_description


%prep
%autosetup -p1 -n flask_caching-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files flask_caching


%check
# 3 tests need memcache module, but this one is marked as experimental and no more updated, disabling
%tox -- -- -k "not init_nullcache"



%files -n python3-flask-caching -f %{pyproject_files}
%doc README.rst
%license LICENSE



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.3.0-3.mga10
+ Revision: 2239918
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 2.3.0-2.mga10
+ Revision: 2157054
- rebuild for python3.13

* Wed Jan 29 2025 papoteur <papoteur> 2.3.0-1.mga10
+ Revision: 2143320
- imported for flask-compress

